Imports System.IO
Imports EgtUILib

Public Class ProjFileM
   Inherits ProjectFileM

   Protected m_dtExportDate As DateTime
   Public ReadOnly Property dtExportDate As DateTime
      Get
         Return m_dtExportDate
      End Get
   End Property

   Protected m_sListName As String
   Public ReadOnly Property sListName As String
      Get
         Return m_sListName
      End Get
   End Property

   Protected m_sBTLFileName As String = String.Empty
    Public Property sBTLFileName As String
        Get
            Return m_sBTLFileName
        End Get
        Set(value As String)
            m_sBTLFileName = value
        End Set
    End Property

    Protected m_sDescription As String = String.Empty
    Public Property sDescription As String
        Get
            Return m_sDescription
        End Get
        Set(value As String)
            m_sDescription = value
        End Set
    End Property

#Region "CONSTRUCTORS"

    Protected Sub New()
   End Sub

   Public Shared Function CreateNewProjFileM() As ProjFileM
      Return New ProjFileM
   End Function

   Public Shared Function CreateProjFileM(nProjId As Integer, nProdId As Integer, dtCreateProjDate As DateTime, dtExportDate As DateTime, sListName As String, sBTLFileName As String, sDescription As String, IsNew As Boolean, IsLocked As Boolean, nType As BWType, sMachine As String, bIsActive As Boolean, bIsArchived As Boolean) As ProjFileM
      Dim NewProjectFileM As New ProjFileM
      NewProjectFileM.m_nProjId = nProjId
      NewProjectFileM.m_nProdId = nProdId
      NewProjectFileM.m_dtCreateDate = dtCreateProjDate
      NewProjectFileM.m_dtExportDate = dtExportDate
      NewProjectFileM.m_sListName = sListName
      NewProjectFileM.m_sBTLFileName = sBTLFileName
      NewProjectFileM.m_sDescription = sDescription
      NewProjectFileM.m_bIsNew = IsNew
      NewProjectFileM.m_bIsLocked = IsLocked
      NewProjectFileM.m_nType = nType
      NewProjectFileM.m_sMachine = sMachine
      NewProjectFileM.m_bIsActive = bIsActive
      NewProjectFileM.m_bIsArchived = bIsArchived
      Return NewProjectFileM
   End Function

#End Region    ' CONSTRUCTORS

End Class